package jp.co.sds_corp.util.pooh.custom;
import java.awt.Font;

import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.FontUIResource;
import javax.swing.plaf.metal.DefaultMetalTheme;

public class XPTheme extends DefaultMetalTheme {

    public String getName() { return "Charcoal"; }

	private final FontUIResource controlFont = new FontUIResource("Dialog", Font.PLAIN, 12);
	private final FontUIResource systemFont = new FontUIResource("Dialog", Font.PLAIN, 12);
	private final FontUIResource userFont = new FontUIResource("Dialog", Font.PLAIN, 12);
	private final FontUIResource smallFont = new FontUIResource("Dialog", Font.PLAIN, 12);

	public FontUIResource getControlTextFont() { return controlFont;}
	public FontUIResource getSystemTextFont() { return systemFont;}
	public FontUIResource getUserTextFont() { return userFont;}
	public FontUIResource getMenuTextFont() { return controlFont;}
	public FontUIResource getWindowTitleFont() { return controlFont;}
	public FontUIResource getSubTextFont() { return smallFont;}

    private final ColorUIResource primary1 = new ColorUIResource(0, 84, 227);
    private final ColorUIResource primary2 = new ColorUIResource(0, 119, 227);
    private final ColorUIResource primary3 = new ColorUIResource(17, 142, 255);

    protected ColorUIResource getPrimary1() { return primary1; }
    protected ColorUIResource getPrimary2() { return primary2; }
    protected ColorUIResource getPrimary3() { return primary3; }
}
