package	jp.co.sds_corp.util.pooh.tools;

import java.io.File;

import jp.co.sds_corp.util.pooh.dialog.DialogManager;
import jp.co.sds_corp.util.pooh.dialog.DialogResource;
import jp.co.sds_corp.util.xml.CmnXMLWriter;

import org.w3c.dom.Element;

public class OutputDialogResource extends CmnXMLWriter {

	private Element root = null;
	public OutputDialogResource() throws Exception {
		createDocument("gui");
		root = createElement("dialogs");
	}

	public void setPartResource(DialogResource dr) throws Exception {
		Element elm = createElement("dialog");
		elm.setAttribute("DialogID",      dr.getDialog_id()); 
		elm.setAttribute("DialogName",  dr.getDialog_name());
		elm.setAttribute("Dialogtype",    dr.getDialog_type());
		elm.setAttribute("DialogX", String.valueOf(dr.getDialog_x()));
		elm.setAttribute("DialogY", String.valueOf(dr.getDialog_y()));
		elm.setAttribute("DialogSizeW", String.valueOf(dr.getDialog_w()));
		elm.setAttribute("DialogSizeH", String.valueOf(dr.getDialog_h()));
		elm.setAttribute("DialogClosed", "");
		elm.setAttribute("DialogStyle", String.valueOf(dr.getDialog_style()));
		elm.setAttribute("Panel", dr.getDialog_p());
		elm.setAttribute("DialogResize", String.valueOf(dr.getDialog_resize()));
		elm.setAttribute("DialogBTN", dr.getDialog_btn());
		elm.setAttribute("DialogButtons", String.valueOf(dr.getDialog_btns()));
		elm.setAttribute("ButtonPane", dr.getDialog_btnp());
		root.appendChild(elm);
	}

	public void writeResource(String file) throws Exception {
		getRoot().appendChild(root);
		printFile(new File(file));
	}

	public void setAllResource(String file, DialogManager dm) throws Exception {
/*
		for(int i=0;;i++) {
		}
*/
		writeResource(file);
	}
}
