package	jp.co.sds_corp.util.pooh.top;

public class DesktopPartsInfo {
	public static final int MENU_BAR   = 0;
	public static final int STATUS_BAR = 1;
	public static final int TOOL_BAR   = 2;

	public String type, resource, object, key;
	public int int_type, barcount;

	public void setType(String _a) { type = _a; setInt_type(_a); }
	public void setResource(String _a) { resource = _a; }
	public void setObject(String _a) { object = _a; }
	public void setKey(String _a) { key = _a; }
	public void setBarcount(String _a) {
		barcount = (_a.length() <= 0) ? 1 : Integer.valueOf(_a).intValue();
	}

	private void setInt_type(String type) {
		if (type.equals("menuBar")) {
			int_type = MENU_BAR;
		} else if (type.equals("statusBar")) {
			int_type = STATUS_BAR;
		} else if (type.equals("toolBar")) {
			int_type = TOOL_BAR;
		}
	}
		
	public String getType() { return type; }
	public String getResource() { return resource; }
	public String getObject() { return object; }
	public String getKey() { return key; }
	public int getInt_type() { return int_type; }
	public int getBarcount() { return barcount; }
}
