package	jp.co.sds_corp.util.pooh.action;

import java.awt.event.ActionEvent;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.plaf.metal.MetalLookAndFeel;

import jp.co.sds_corp.util.pooh.custom.AquaTheme;
import jp.co.sds_corp.util.pooh.menu.IMenuAction;
import jp.co.sds_corp.util.pooh.menu.SubMenuResource;
import jp.co.sds_corp.util.pooh.top.Toplevel;

/**
*
*/
public class ActLookandFeel implements IMenuAction {
	Toplevel toplevel;

	public ActLookandFeel(){}
	public void setParent(Toplevel _toplevel){ toplevel = _toplevel; }
	public void doAction(SubMenuResource sb, ActionEvent ae, int index) {
		String [] lookAndFeel = {
			"javax.swing.plaf.metal.MetalLookAndFeel",
			"",
			"com.sun.java.swing.plaf.motif.MotifLookAndFeel",
			"com.sun.java.swing.plaf.windows.WindowsLookAndFeel",
			"com.sun.java.swing.plaf.gtk.GTKLookAndFeel",
		};
		try {
			if (index==0) {
				MetalLookAndFeel.setCurrentTheme(new AquaTheme());
			}
			UIManager.setLookAndFeel(lookAndFeel[index]);
			SwingUtilities.updateComponentTreeUI((JFrame)toplevel.getFrame());
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
