package	jp.co.sds_corp.util.pooh.toolbar;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
public class ToolbarManager {
	private Map rootMenu = null;
	public int rootSize() { return (rootMenu!=null) ? rootMenu.size() : 0; }
	public ToolbarResource getToolbarResource(String key) {
		return (rootMenu == null) ? null : (ToolbarResource)rootMenu.get(key);
	}
	public void addToolbarResource(ToolbarResource resource) {
		if (rootMenu == null) { rootMenu = new HashMap(); }
		rootMenu.put(resource.getToolbar_name(), resource);
	}
	public Iterator iterator() {
		return (rootMenu != null) ? rootMenu.values().iterator() : null;
	}

	public boolean isAlive(String fn) { return (getToolbarResource(fn) != null) ? true : false; }
	public void remove(ToolbarResource resource) { rootMenu.remove(resource.getToolbar_name()); }
	public void remove(String fn) { rootMenu.remove(fn); }
}
