package	jp.co.sds_corp.visualpooh;

import java.awt.BorderLayout;
import java.awt.event.WindowEvent;
import java.io.File;

import jp.co.sds_corp.util.pooh.simple.SimpleEditorPane;
import jp.co.sds_corp.util.pooh.simple.SimplePanel;

public class PoohEditor extends SimplePanel {
	private SimpleEditorPane editor = null;
	private String directory, file;
	public PoohEditor() { super(); }
	public boolean createPane() { 
		setLayout(new BorderLayout());
		editor = new SimpleEditorPane();
		add(editor, "Center");
		return true;
	}

	public void initPanel(String _directory, String _file) {
		directory = _directory;
		file = _file;
		editor.openAction(directory, file);
	}

	public void cut() throws Exception { editor.cut(); }
	public void copy() throws Exception { editor.copy(); }
	public void paste() throws Exception { editor.paste(); }
	public void undo() throws Exception { editor.undo(); }
	public void redo() throws Exception { editor.redo(); }

	public void save() throws Exception {
		editor.save(directory, file);
	}

	public void saveAs(File fileName) {
		editor.saveAs(fileName);
	}

	public void closed() {}
	public void doSystemBtnClose(WindowEvent e) {}
}
